com.lowagie.text.factories

## Class RomanAlphabetFactory

- java.lang.Object
- - com.lowagie.text.factories.RomanAlphabetFactory

-     public class RomanAlphabetFactory
      extends java.lang.Object

  This class can produce String combinations representing a number. "a" to "z" represent 1 to 26, "AA" represents 27, "AB" represents 28, and so on; "ZZ" is followed by "AAA".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RomanAlphabetFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getLowerCaseString(int index)` Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z'; 1 = a, 2 = b, ..., 26 = z, 27 = aa, 28 = ab,...
    `static java.lang.String` | `getString(int index)` Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z'; 1 = a, 2 = b, ..., 26 = z, 27 = aa, 28 = ab,...
    `static java.lang.String` | `getString(int index, boolean lowercase)` Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z' (a = 1, b = 2, ..., z = 26, aa = 27, ab = 28,...).
    `static java.lang.String` | `getUpperCaseString(int index)` Translates a positive integer (not equal to zero) into a String using the letters 'A' to 'Z'; 1 = A, 2 = B, ..., 26 = Z, 27 = AA, 28 = AB,...
    `static void` | `main(java.lang.String[] args)` Test this class using this main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RomanAlphabetFactory

          public RomanAlphabetFactory()

  - ### Method Detail

    - #### getString

          public static final java.lang.String getString(int index)

      Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z'; 1 = a, 2 = b, ..., 26 = z, 27 = aa, 28 = ab,...

    - #### getLowerCaseString

          public static final java.lang.String getLowerCaseString(int index)

      Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z'; 1 = a, 2 = b, ..., 26 = z, 27 = aa, 28 = ab,...

    - #### getUpperCaseString

          public static final java.lang.String getUpperCaseString(int index)

      Translates a positive integer (not equal to zero) into a String using the letters 'A' to 'Z'; 1 = A, 2 = B, ..., 26 = Z, 27 = AA, 28 = AB,...

    - #### getString

          public static final java.lang.String getString(int index,
                                   boolean lowercase)

      Translates a positive integer (not equal to zero) into a String using the letters 'a' to 'z' (a = 1, b = 2, ..., z = 26, aa = 27, ab = 28,...).

    - #### main

          public static void main(java.lang.String[] args)

      Test this class using this main method.